<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="Author" content="Marcelin Lazzarotto, Fabrice Lazzarotto,
            Christian Perret">
        <meta name="Category"
            content="Specifications, Sound Design">
        <meta name="Copyright" content="Marcelin Lazzarotto">
        <meta name="Description" content="Specifications pour un truc qui
            ressemble à un vieux truc qui s'appelle Noodle.">
        <meta name="Keywords"
            content="Specifications, __unnamed, Sound Design">
        <meta name="Publisher" content="Marcelin Lazzarotto">
        <meta name="Robots" content="noindex, nofollow">

        <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
        <meta http-equiv="Content-Language" content="fr">

        <!-- <link rel="stylesheet" href="style/default.css"> -->
        <meta charset="utf-8">
        <title>__unnamed : Specifications</title>

        <style>
            body
            {
                width: 80%;
                text-align: justify;
                margin: auto;
            }

            figure
            {
                text-align: center;
            }

            img
            {
                max-width: 80%;
            }

            p
            {
                text-indent: 2em;
            }

            #footnote-list
            {
                font-size: 0.8em;
            }
        </style>
    </head>
    <body>
        <header>
            <h1>
                __unnamed : Specifications
            </h1>
        </header>
        <section>
            <header>
                <h2>
                    Objectifs du document
                </h2>
            </header>
            <p>
                Ce document vise à décrire avec un minimum de rigueur (mais
                vraiment un minimum) les spécifications de l'application de
                mixage <span id="footnote-request1">__unnamed<sup><a
                    href="#footnote1">1</a></sup></span>.
            </p>
        </section>
        <section>
            <header>
                <h2>
                    Introduction
                </h2>
            </header>
            <p>
                L'application __unnamed est une application de mixage. Elle est
                prévu pour répondre à un besoin chez EDF. L'entreprise est
                accentuée à fond sur le mix énergétique et sur
                <span id="footnote-request2">l'e-sport<sup><a
                    href="#footnote2">2</a></sup></span>, et du coup ça va être
                l'occasion de créer un programme qui les intéresse.
            </p>
            <p>
                Sur une idée originale de Christian Perret et de son pote
                Laurent, un truc qui manque à EDF c'est des identités musicale :
                des petites mélodies de quelques notes qui identifie les
                énergies utilisées par EDF. Comme ils sont à fond dans le
                mélange des énergies, c'est pas mal parlant en musique pour les
                mélanges de mélodies.
            </p>
            <p>
                __unnamed dans tout ça arrive pour permettre, selon une base de
                mélodies fournie et des environnements de samples additionnels,
                de mixer des morceaux de musique. Cela permet à EDF de
                directement bidouiller ses mélodies, mais également à des
                personnes extérieures de s'amuser avec l'application, et
                pourquoi pas créer un truc énorme.
            </p>
            <p>
                __unnamed doit être pensé à la fois innovant et compréhensible
                par quiconque. N'importe qui doit être capable de faire
                n'importe quoi, dans la limite des samples fournis.
            </p>
            <p>
                Bien entendu, ce qu'on amène à EDF n'est qu'un prototype, pas
                un produit fini mais il faut les appâter suffisemment pour les
                intéresser. Après, on est pas à l'abri de jolies petites
                modifications pour la version finale.
            </p>
        </section>
        <section>
            <header>
                <h2>
                    Définitions
                </h2>
            </header>
            <ul>
                <li>
                    <strong>Élément</strong> : un élément désigne une identité
                    musicale d'un groupe énergétique. C'est une brève mélodie de
                    quelques notes. Un élément à plusieurs variantes
                    (instruments...)
                </li>
                <li>
                    <strong>Environnement</strong> : un environnement désigne un
                    groupe/sous-groupe de sample liés entre eux par un
                    thème/sous-thème. Les thèmes peuvent être
                    <em>Classique</em>, <em>Electro</em>, <em>Pop</em>, etc. et
                    les sous-thème <em>Action</em>, <em>Romantique</em>,
                    <em>House</em>...
                </li>
            </ul>
        </section>
        <section>
            <header>
                <h2>
                    Staff
                </h2>
                <ul>
                    <li>
                        Christian Perret : le mec qui a pensé au truc et qui
                        fait la musique. Un bon gars, quoi.
                    </li>
                    <li>
                        Fabrice Lazzarotto : le mec qui gère la technique. Un
                        bon gars, quoi.
                    </li>
                    <li>
                        Marcelin Lazzarotto : l'autre mec qui gère la technique.
                        Un gars bon, quoi.
                    </li>
                </ul>
            </header>
        </section>
        <section>
            <header>
                <h2>
                    Objectif du projet
                </h2>
            </header>
            <p>
                Pour le moment, __unnamed n'est qu'un prototype. Nous allons
                donc nous concentrer sur :
            </p>
            <ul>
                <li>
                    Avoir des mélodie de base par élément, ainsi que des
                    variations.
                </li>
                <li>
                    Avoir une banque de samples, qui s'accordent (même bpm, tout
                    ça.)
                </li>
                <li>
                    Avoir des environnements cohérents.
                </li>
                <li>
                    Pouvoir créer des preset quand on séléctionne des samples
                    d'environnement.
                </li>
                <li>
                    Pouvoir composer un mix de plusieurs temps en utilisant un
                    élément comme base et des preset. Lorsque sa création
                    débute, un mix se joue en boucle. Pour plus d'aisance à
                    l'utilisation cela nécessiterait un bouton pause/play et un
                    bouton mute.
                </li>
                <li>
                    Pouvoir écouter un élément/sample en une fois avant de le
                    séléctionner.
                </li>
                <li>
                    Pouvoir écouter un élément/sample en solo (au cas ou mix en
                    cours) avant de le séléctionner.
                </li>
                <li>
                    Pouvoir être simple d'utilisation.
                </li>
                <li>
                    Bonus : pouvoir exporter le mix et récuperer le fichier (le
                    prototype pourra être une fausse démo). Note technique : ça
                    s'appelle un <em>bounce</em>.
                </li>
                <li>
                    Bonus : contrôler le son des sample dans les presets.
                </li>
                <li>
                    Bonus : contrôler le son des éléments/presets dans le mix.
                </li>
                <li>
                    Bonus : pouvoir commencer un temps de mix pas au début (ou
                    silencieuser une partie ?)
                </li>
                <li>
                    Bonus : rajouter des effets.
                </li>
                <li>
                    ???
                </li>
                <li>
                    Profit!
                </li>
            </ul>
        </section>
        <section>
            <header>
                <h2>
                    Technique
                </h2>
            </header>
            <p>
                On va tenter de voir ce que ça fait en web (HTML/CSS/JS). On va
                tenter de faire ça ergonomique et ludique, et en tout cas
                intéressant.
            </p>
            <p>
                Dans l'absolu, l'application qui s'exécuterait côté client
                permettrait de sélectionner les élément et construire des
                preset en utilisant les environnements fournis. On utiliserait
                ces sélections dans une suite d'arrangement qui composeront
                un mix. Tout peut être gérer côté client.
            </p>
            <p>
                Comme toutefois les samples seront normalement stockées en
                ligne, il est possible que la routine qui permette le mixage
                s'exécute côté serveur. Langage à définir (node.js ?).
            </p>
        </section>
        <section>
            <header>
                <h2>
                    Apparence
                </h2>
            </header>
            <p>
                Christian a déjà conçu une base du design de l'application.
                Voici l'image correspondante :
            </p>
            <figure>
                <img src="./images/designInitial.jpg" alt="Le design initial"
                    title="Figure 1 : Le design initial" />
                <figcaption>Figure 1 : Le design initial</figcaption>
            </figure>
            <p>
                Selon un idée très sommaire de Marcelin pour réorganiser le
                design, voici une deuxième base de départ (très sommaire) :
            </p>
            <figure>
                <img src="./images/designAutreBase.jpg" alt="Une autre base de
                    design" title="Figure 2 : Une autre base de design" />
                <figcaption>Figure 2 : Une autre base de design</figcaption>
            </figure>
            <p>
                Il est également très important, même pour la version initiale,
                de concentrer le développement vers une interface et des retours
                utilisateurs clairs et compréhensibles.
            </p>
        </section>
        <footer>
            <header>
                <h2>
                    Notes
                </h2>
            </header>
            <ol id="footnote-list">
                <li id="footnote1">
                    Nom temporaire. Très temporaire.
                    <a href="#footnote-request1" title="Retour">↩</a>
                </li>
                <li id="footnote2">
                    Mais ça on verra après.
                    <a href="#footnote-request2" title="Retour">↩</a>
                </li>
            </ol>
        </footer>
    </body>
</html>
<!-- idée de nom: NeoAlchemy -->
